## org.hibernate.service.jdbc.dialect.internal
Class DialectFactoryInitiator

    java.lang.Object
      org.hibernate.service.jdbc.dialect.internal.DialectFactoryInitiator

All Implemented Interfaces:
  BasicServiceInitiator<DialectFactory>, ServiceInitiator<DialectFactory>

    public class DialectFactoryInitiator

extends Object
implements BasicServiceInitiator<DialectFactory>

Standard initiator for the standard `DialectFactory` service

Field Summary
`static DialectFactoryInitiator` `INSTANCE`

Constructor Summary
`DialectFactoryInitiator()`

Method Summary
`Class<DialectFactory>` `getServiceInitiated()` Obtains the service role initiated by this initiator.
`DialectFactory` `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DialectFactoryInitiator INSTANCE

Constructor Detail

### DialectFactoryInitiator

    public DialectFactoryInitiator()

Method Detail

### getServiceInitiated

    public Class<DialectFactory> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<DialectFactory>`
  Returns:
    The service role.

### initiateService

    public DialectFactory initiateService(Map configurationValues,
                                          ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<DialectFactory>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.